local Hatmaker = ...

Hatmaker:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_HATMAKER"
    }
})

Hatmaker:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_HATMAKER"
    }
})

Hatmaker:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_HATMAKER"
    }
})

Hatmaker:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_HATMAKER"
    }
})

-- Register Hatmaker job
Hatmaker:register({
	DataType = "JOB",
	Id = MarketAdditionPrefix .. "_HATMAKER",
	JobName = MarketAdditionPrefix .. "_HATMAKER_NAME",
	JobDescription = MarketAdditionPrefix .. "_HATMAKER_DESC",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"        
})

-- Register image assets
Hatmaker:registerAssetId("icons/hat.png", "ICON_" .. MarketAdditionPrefix .. "_HAT")

-- Register hat (goods)
Hatmaker:register({
	DataType = "RESOURCE",
	Id = MarketAdditionPrefix .. "_HAT",
	ResourceName = MarketAdditionPrefix .. "_HAT",
	Icon = "ICON_" .. MarketAdditionPrefix .. "_HAT",
	ResourceTypeList = { "GOODS" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = MarketAdditionPrefix .. "_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 }
})
