local KnifeGrinder = ...

KnifeGrinder:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_KNIFEGRINDER"
    }
})

KnifeGrinder:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_KNIFEGRINDER"
    }
})

KnifeGrinder:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_KNIFEGRINDER"
    }
})

KnifeGrinder:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        MarketAdditionPrefix .. "_KNIFEGRINDER"
    }
})

KnifeGrinder:registerAssetId("models/knife.fbx/Prefab/knife", MarketAdditionPrefix .. "_KNIFEGRINDER_KNIFE_PREFAB")

-- Register Knife grinder job
KnifeGrinder:register({
	DataType = "JOB",
	Id = MarketAdditionPrefix .. "_KNIFEGRINDER",
	JobName = MarketAdditionPrefix .. "_KNIFEGRINDER_NAME",
	JobDescription = MarketAdditionPrefix .. "_KNIFEGRINDER_DESC",
        CharacterSetup = {
            RightHandObject = {
                Model = MarketAdditionPrefix .. "_KNIFEGRINDER_KNIFE_PREFAB"
            },
            WorkAnimation = "GRINDSTONE",
            IdleAnimation = "GRINDSTONE"
        },
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"        
})

-- Register image assets
KnifeGrinder:registerAssetId("icons/knife.png", "ICON_" .. MarketAdditionPrefix .. "_KNIFE")

-- Register knife (goods)
KnifeGrinder:register({
	DataType = "RESOURCE",
	Id = MarketAdditionPrefix .. "_KNIFE",
	ResourceName = MarketAdditionPrefix .. "_KNIFE",
	Icon = "ICON_" .. MarketAdditionPrefix .. "_KNIFE",
	ResourceTypeList = { "GOODS" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = MarketAdditionPrefix .. "_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
